LIMITS_RESOURCE-AVAILABILITY(1)

NAME
limits_resource-availability -

DESCRIPTION

The availability of a given resource limit, based on the usage, tenant service limits and quotas set for the tenancy. Note: We cannot guarantee this data for all the limits. In those cases, these fields will be empty.

AVAILABLE COMMANDS

•   get

  get

  Description

For a given compartmentId, resource limit name, and scope, returns the following: - the number of available resources associated with the given limit - the usage in the selected compartment for the given limit Note: not all resource limits support this API. If the value is not available, the API will return 404.

  Usage

oci limits resource-availability get [OPTIONS]

  Required Parameters

--compartment-id, -c [text]

    The OCID of the compartment for which data is being fetched.

--limit-name [text]

    The limit name for which to fetch the data.

--service-name [text]

    The service name of the target quota.

  Optional Parameters

--availability-domain [text]

    This field is mandatory if the scopeType of the target resource limit is AD. Otherwise, this field should be omitted. If the above requirements are not met, the API will return a 400 - InvalidParameter response.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle